> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datanumia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sites budgetheating

> Returns budget vector.



## OpenAPI

````yaml /api-reference/part-budget-api.yaml get /sites/{site-id}/budget/heating
openapi: 3.0.1
info:
  title: part-budget-api
  description: Heating control by budget
  termsOfService: TODO
  contact:
    email: api@datanumia.com
  version: 1.0.0
servers:
  - url: https://api.home.datanumia.com/api/v1
security: []
paths:
  /sites/{site-id}/budget/heating:
    get:
      description: Returns budget vector.
      operationId: computeHeatingBudget
      parameters:
        - name: site-id
          in: path
          description: site-id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BudgetVector'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Unkown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    BudgetVector:
      type: object
      required:
        - type
        - temperatures
        - budget
      properties:
        type:
          type: string
          enum:
            - TOTAL
            - HEATING
        temperatures:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Temperature'
        budget:
          type: number
    ApiError:
      description: ''
      properties:
        errorCode:
          description: Code d'erreur
          type: string
        errorDescription:
          description: Message d'erreur
          type: string
      required:
        - errorCode
    Temperature:
      type: object
      properties:
        unit:
          type: string
          enum:
            - CELSIUS
        value:
          type: number

````